/*
Beregost Crash Fixer
Copyright (C) 2008-2010  Raphael Wong

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

package asc64.beregost;

import javax.swing.JOptionPane;

public final class BeregostCrashFixer implements Runnable {

  public BeregostGUI GUI;

  public void run() {
    GUI = new BeregostGUI();
  }

  public static void main(String[] args) {
    String javaVersion = System.getProperty("java.version");
    if (Integer.parseInt(javaVersion.substring(0,1)) < 2 &&
        Integer.parseInt(javaVersion.substring(2,3)) < 6) {
          JOptionPane.showMessageDialog(null, "JRE 1.6 or higher is required to run this program.", "Error", JOptionPane.ERROR_MESSAGE);
    } else {
      javax.swing.SwingUtilities.invokeLater(new BeregostCrashFixer());
    }
  }
}